    @extends('layouts.app')
    @section('content')
 
 
    <!-- Section: Registration Form -->
    <section class="divider parallax layer-overlay overlay-light requirements" data-stellar-background-ratio="0.5" data-bg-img="{{ asset('img/form.png') }}">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-6 col-md-offset-3 bg-lightest-transparent p-30 pt-10">
            <h3 class="text-center text-theme-colored mb-20">PRE-EMPLOYMENT REQUIREMENTS CHECKLIST</h3>
            <form id="requirements_form" name="requirements_form" action="/requirements" method="post" enctype="multipart/form-data">
              <div class="form_requirements">
                <div class="form_cont_head">
                  @foreach ($preemployee as $emp)
                  <div class="form_cont"><h4><span style="padding-right: 15px;">Full Name: </span>{{ $emp->full_name }}</h4></div>
                  <div class="form_cont"><h5><span style="padding-right: 15px;">Contact #: </span>{{ $emp->contact_number }}</h5></div>
                  <div class="form_cont"><h5><span style="padding-right: 15px;">Email Address: </span>{{ $emp->email_address }}</h5></div>

                  @endforeach
                </div>

                <hr>
                <div class="form_cont_list_head">
                  <div class="form_cont1"></div>
                  <div class="form_cont2">Description List</div>
                  <div class="form_cont3">Upload Image</div>
                  <div class="form_cont4">Remarks/Comment</div>
                  <div class="form_cont5">Status</div>
                </div>              
                 
                @foreach ($requirements as $req)
                <div class="form_cont_list">
                  <div class="form_cont1">{{ $req->reqlist_id }}</div>
                  <div class="form_cont2">{{ $req->description }}</div>
                  <div class="form_cont3">
                    <div class="form-group">
                      <input id="form_attachment" name="req{{ $req->reqlist_id }}" class="file" type="file" multiple data-show-upload="true"  accept=".png, .jpg, .jpeg" data-show-caption="true">
                    </div>
                  </div>
                  <div  class="form_cont4"><input style="min-width: 200px;" id="" name="remark{{ $req->reqlist_id  }}" type="text" placeholder="Enter remark" class="form-control"></div>
                  <div class="form_cont4"></div>
                </div>
                @endforeach
              </div>

              <div class="form-group">
                {{csrf_field()}}
                <input  type="submit" class="btn btn-block btn-dark btn-theme-colored btn-sm mt-20 pt-10 pb-10" data-loading-text="Please wait..." value="Apply Now"/>
              </div>
            </form>
          </div>
        </div>
      </div>
    </section>
@endsection

<style>
  .requirements td{
    padding: 10px;
    text-align: left;
  }
  .inner-header{
    display: none !important;
  }

  .form_requirements{
    width: 100%;
  }

  .form_cont1, .form_cont2, .form_cont3, .form_cont4, .form_cont5{
    display: inline-block;
  }
  .form_cont_list_head {
    font-weight: bold;
  }
  @media only screen and (max-width: 767px) {
    .form_cont {
      width: 100%;
    }
    .form_cont1, .form_cont2, .form_cont3, .form_cont4, .form_cont5{
      width: 100%;
      vertical-align: top;
      text-align: left;
    }    
  }

  @media only screen and (min-width: 768px) {
    .form_cont {
      width: 80%;
    }
    .form_cont1, .form_cont2, .form_cont3, .form_cont4, .form_cont5{
      display: inline-flex;

    }
    .form_cont1{
      width: 5%;
    }
    .form_cont2{
      width: 30%;
    }
    .form_cont3{
      width: 25%;
    } 
    .form_cont4{
      width: 30%;
    } 
    .form_cont5{
      width: 8%;
    } 
  }  
</style>