<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>

<!-- Meta Tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0"/>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<meta name="description" content="St Joseph Drug" />
<meta name="keywords" content="business,health,medicine,drug store" />
<meta name="author" content="SJD" />

<!-- Page Title -->
<title>SJD Job Openings</title>

<!-- Favicon and Touch Icons -->
<link href="<?php echo e(asset('images/favicon.png')); ?>" rel="shortcut icon" type="image/png">

<!-- Stylesheet -->
<link href="<?php echo e(asset('css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('css/jquery-ui.min.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('css/animate.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('css/css-plugin-collections.css')); ?>" rel="stylesheet"/>
<!-- CSS | menuzord megamenu skins -->
<link id="menuzord-menu-skins" href="<?php echo e(asset('css/menuzord-skins/menuzord-boxed.css')); ?>" rel="stylesheet"/>
<!-- CSS | Main style file -->
<link href="<?php echo e(asset('css/style-main.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Theme Color -->
<link href="<?php echo e(asset('css/colors/theme-skin-green.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Preloader Styles -->
<link href="<?php echo e(asset('css/preloader.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Custom Margin Padding Collection -->
<link href="<?php echo e(asset('css/custom-bootstrap-margin-padding.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Responsive media queries -->
<link href="<?php echo e(asset('css/responsive.css')); ?>" rel="stylesheet" type="text/css">


<!-- external javascripts -->
<script src="<?php echo e(asset('js/jquery-2.2.0.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/jquery-ui.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/jquery-plugin-collection.js')); ?>"></script>

</head>
<body class="">
<div id="wrapper">
  <!-- preloader -->
  <div id="preloader">
    <div id="spinner">
      <img src="<?php echo e(asset('images/preloaders/1.gif')); ?>" alt="">
    </div>
    <div id="disable-preloader" class="btn btn-default btn-sm">Disable Preloader</div>
  </div>
  
  <!-- Header -->
  <header id="header" class="header">

    <div class="header-nav">
      <div class="header-nav-wrapper navbar-scrolltofixed bg-lightest">
        <div class="container">
          <nav>
            <div id="menuzord-right" class="menuzord red"> <a class="menuzord-brand" href="javascript:void(0)"><img src="<?php echo e(asset('img/logo.png')); ?>" alt=""></a>
              <ul class="menuzord-menu">
                <li class="active"><a href="#home">Home</a></li>
                <li><a href="#">Features</a></li>
              </ul>
            </div>
          </nav>
        </div>
      </div>
    </div>
  </header>
  
  <!-- Start main-content -->
  <div class="main-content">
    <!-- Section: inner-header -->
    <section class="inner-header divider layer-overlay overlay-dark" data-bg-img="http://placehold.it/1920x1280">
      <div class="container pt-30 pb-30">
        <!-- Section Content -->
        <div class="section-content text-center">
          <div class="row"> 
            <div class="col-md-6 col-md-offset-3 text-center">
              <h2 class="text-theme-colored font-36">Job List</h2>
              <ol class="breadcrumb text-center mt-10 white">
                <li><a href="#">Home</a></li>
                <li><a href="#">Pages</a></li>
                <li class="active">Job List</li>
              </ol>
            </div>
          </div>
        </div>
      </div>      
    </section>

    <section>
      <div class="container pb-0">
        <div class="row text-center">
          <?php $__currentLoopData = $careerlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <div class="col-sm-4">
            <div class="icon-box iconbox-border iconbox-theme-colored">
              <a href="#" class="icon icon-gray icon-bordered icon-circled icon-border-effect effect-circled">
                <i class="pe-7s-users"></i>
              </a>
              <h5 class="icon-box-title"><?php echo e($job->position); ?></h5>
              <p class="text-gray"><?php echo e($job->jobdesc); ?>

              <a class="btn btn-dark btn-xs mt-15" href="#">Apply Now</a>
            </div>
          </div>
         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         
          <!--<div class="col-sm-4">
            <div class="icon-box iconbox-border iconbox-theme-colored">
              <a href="#" class="icon icon-gray icon-bordered icon-rounded icon-border-effect effect-rounded">
                <i class="pe-7s-users"></i>
              </a>
              <h5 class="icon-box-title">Finance Manager</h5>
              <p class="text-gray">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Molestias non nulla placeat, odio, qui dicta alias.</p>
              <a class="btn btn-dark btn-xs mt-15" href="#">Apply Now</a>
            </div>
          </div>
          
          <div class="col-sm-4">
            <div class="icon-box iconbox-border iconbox-theme-colored">
              <a href="#" class="icon icon-gray icon-bordered icon-circled icon-border-effect effect-circled">
                <i class="pe-7s-users"></i>
              </a>
              <h5 class="icon-box-title">Finance Manager</h5>
              <p class="text-gray">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Molestias non nulla placeat, odio, qui dicta alias.</p>
              <a class="btn btn-dark btn-xs mt-15" href="#">Apply Now</a>
            </div>
          </div>-->
        </div>
      </div>
    </section>

  </div>
  <!-- end main-content -->
  
  <!-- Footer -->
  <footer id="footer" class="footer pb-0 bg-deep">
    <div class="container-fluid bg-black-222 p-20">
      <div class="row text-center">
        <div class="col-md-12">
          <p class="font-11 m-0">Copyright &copy;2021 St Joseph Drug. All Rights Reserved</p>
        </div>
      </div>
    </div>
  </footer>
  <a class="scrollToTop" href="#"><i class="fa fa-angle-up"></i></a>
</div>
<!-- end wrapper -->

<!-- Footer Scripts -->
<script src="<?php echo e(asset('js/custom.js')); ?>"></script>


</body>
</html><?php /**PATH /home/stjosephdrug/public_html/career/resources/views/joblist.blade.php ENDPATH**/ ?>